Package org.apache.nutch.crawl

# Class Inlink

java.lang.Object
org.apache.nutch.crawl.Inlink

All Implemented Interfaces:
  `Writable`

public class Inlink extends Object implements Writable
An incoming link to a page.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Inlink()`
  `Inlink(String fromUrl, String anchor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAnchor()`
  `String`
  `getFromUrl()`
  `MapWritable`
  `getMetadata()`
  `int`
  `hashCode()`
  `static Inlink`
  `read(DataInput in)`
  `void`
  `readFields(DataInput in)`
  `void`
  `setMetadata(MapWritable md)`
  `static void`
  `skip(DataInput in)`
  Skips over one Inlink in the input.
  `String`
  `toString()`
  `void`
  `write(DataOutput out)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Inlink

    public Inlink()

  - ### Inlink

    public Inlink(String fromUrl, String anchor)

- ## Method Details

  - ### readFields

    public void readFields(DataInput in) throws IOException
    Specified by:
      `readFields` in interface `Writable`
    Throws:
      `IOException`

  - ### skip

    public static void skip(DataInput in) throws IOException
    Skips over one Inlink in the input.
    Parameters:
      `in` - the tuple containing the fromUrl and anchor data
    Throws:
      `IOException` - if there is an error reading the Inlink tuple

  - ### write

    public void write(DataOutput out) throws IOException
    Specified by:
      `write` in interface `Writable`
    Throws:
      `IOException`

  - ### read

    public static Inlink read(DataInput in) throws IOException
    Throws:
      `IOException`

  - ### getFromUrl

    public String getFromUrl()

  - ### getAnchor

    public String getAnchor()

  - ### getMetadata

    public MapWritable getMetadata()

  - ### setMetadata

    public void setMetadata(MapWritable md)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`